PHP-Parser migration is over

Reflect 2.0.0RC2 has adopted PHP-Parser 1.0-dev

I’ve just published the migration code that adopt PHP-Parser 1.0-dev

Take care, that I used the basic code of PHP-Parser 1.0-dev with a little modification about magic constants. See my Pull Request #95.

Current code of Reflect 2 is PSR2 standard compliant and unit tests are all OK.

PHPUnit 3.7.31 by Sebastian Bergmann.

...............................................................  63 / 125 ( 50%)
..............................................................

Time: 2.46 seconds, Memory: 6.50Mb

OK (125 tests, 125 assertions)

As I’m waiting approval of two Pull Requests :

I will release monday 17th February only a PHAR version that will embeded all vendor code to run correctly.

I will continue to test this base source code (that need again some minor fixes, I know) in real condition with well known packages : Symfony, Zend Framework, and more …

Be ready monday to test it by yourself. All feedback are welcome !

Published by Laurent Laville on 2014-02-13